# Class CIM_SAProposal
extends CIM_ScopedSettingData

SAProposal is a base class defining the common properties of, and anchoring common associations for, IPsec phase 1 and phase 2 proposals. It is defined as a kind of ScopedSettingData (scoped by a ComputerSystem or AdminDomain), since its subclasses define sets of IPsec properties that MUST be applied together, if negotiated. This subclassing is different than that defined in IETF's IPSP Policy draft - where it is subclassed from Policy. The definition as SettingData is more consistent with the application of the properties as a set, to the negotiated Security Association. To indicate that 'this' proposaltransform is negotiated for a Security Association, use the ElementSettingData to associate the proposal and the SA.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_ScopedSettingData
|
+--CIM_SAProposal

## Direct Known Subclasses

CIM_IKEProposal
CIM_IPsecProposal

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true

Description

string

SAProposal is a base class defining the common properties of, and anchoring common associations for, IPsec phase 1 and phase 2 proposals. It is defined as a kind of ScopedSettingData (scoped by a ComputerSystem or AdminDomain), since its subclasses define sets of IPsec properties that MUST be applied together, if negotiated. This subclassing is different than that defined in IETF's IPSP Policy draft - where it is subclassed from Policy. The definition as SettingData is more consistent with the application of the properties as a set, to the negotiated Security Association. To indicate that 'this' proposaltransform is negotiated for a Security Association, use the ElementSettingData to associate the proposal and the SA.

MappingStrings | string | IPSP Policy Model.IETF|SAProposal
UMLPackagePath | string | CIM::IPsecPolicy
Version | string | 2.8.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods